=== doc/Makefile ===
DESTDIR   ?= html
STYLEPATH ?= .

ASCIIDOC_OPTS = \
	--backend=xhtml11 \
	--conf-file=page.conf \
	-a stylesdir=$(STYLEPATH) \
	-a linkcss \
	-a disable-javascript \
	-o -

DST_HTML = \
	$(DESTDIR)/index.html \
	$(DESTDIR)/README.html \
	$(DESTDIR)/CHANGELOG.html

all: $(DESTDIR)/asciidoc.css $(DESTDIR)/alog-arch.png $(DST_HTML)

$(DESTDIR)/alog-arch.png: arch/alog-arch.png
	cp $< $@

$(DESTDIR)/asciidoc.css: asciidoc.css
	cp $< $@

$(DESTDIR)/index.html: index page.conf
	asciidoc $(ASCIIDOC_OPTS) $< > $@

$(DESTDIR)/README.html: ../README
	asciidoc $(ASCIIDOC_OPTS) $< > $@

$(DESTDIR)/CHANGELOG.html: ../CHANGELOG
	asciidoc $(ASCIIDOC_OPTS) $< > $@

clean:
	rm -f $(DESTDIR)/*.html
	rm -f $(DESTDIR)/*.css
	rm -f $(DESTDIR)/alog-arch.png
