=== debian/changelog ===
libalog (0.4.1-2) unstable; urgency=low

  * Add project specific git-buildpackage configuration
  * Build dynamic/static libs in separate Obj/Lib dirs (Closes: #663673)
  * Disable tracebacks in Exception occurrences.
    See Debian bug #666106; tracebacks are only disabled on kfreebsd-i386.
    Quilt's guards tool is used to apply this architecture specific patch.

 -- Reto Buerki <reet@codelabs.ch>  Fri, 30 Mar 2012 09:43:30 +0200

libalog (0.4.1-1) unstable; urgency=low

  * Imported upstream version 0.4.1
  * Update to Standards-Version 3.9.3 (no changes)
  * Update to debhelper 8
  * Update Vcs-Git, Vcs-Browser and Homepage URLs
  * Update copyright information
  * Drop unneeded patches
  * Set package names to new library version 0.4.1
  * Migrate to gnat-4.6 (Closes: #642639, #647795)
  * Update GNAT project files
  * Switch to 3.0 (quilt) source package format
  * Install html doc in dev packages
  * Update rules to minimal debhelper syntax
  * Allow Debian Maintainer upload
  * Fix binary-control-field-duplicates-source warning

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 07 Mar 2012 12:33:05 +0100

libalog (0.3-2) unstable; urgency=low

  * Disable stack checks (Closes: #506681).
  * Use $(QUILT_STAMPFN) instead of patch target.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sat, 20 Feb 2010 03:19:18 +0100

libalog (0.3-1) unstable; urgency=low

  * Adding latest debian version (Closes: #514824).
  * Fix dependencies and package names (Closes: #555098, #562378,
    #533153).
  * Convert to latest libaws jabber API.
  * Fix lintian warning debian-watch-file-in-native-package.
  * Adjust install and doc to new package names.
  * Update copyright to include current year.
  * Adjust installed alog project file.
  * Override lintian warnings (false positives).
  * Make alog compilable with libaws2.7.
  * Update to Standards-Version 3.8.4 (no changes).
  * Tighten apq-postgresql dep to version >= 3.0-2.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Fri, 19 Feb 2010 20:27:13 +0100

libalog (0.1-4) unstable; urgency=low

  * Remove hppa as supported architecture (see #506681).
  * New email addresses.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Mon, 24 Nov 2008 15:19:19 +0100

libalog (0.1-3) unstable; urgency=low

  * Build against transition of latest ahven package.

 -- Adrian-Ken Rueegsegger <rueegsegger@swiss-it.ch>  Tue, 2 Sep 2008 11:31:29 +0200

libalog (0.1-2) unstable; urgency=low

  * Only building libalog on supported architectures.

 -- Adrian-Ken Rueegsegger <rueegsegger@swiss-it.ch>  Wed, 25 Jun 2008 15:14:42 +0200

libalog (0.1-1) unstable; urgency=low

  * Initial release.
  * Applied gnat-4.3 fixes from git.

 -- Adrian-Ken Rueegsegger <rueegsegger@swiss-it.ch>  Mon, 16 Jun 2008 17:24:10 +0200
