=== debian/control ===
Source: libalog
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), gnat, gnat-4.6, libahven3-dev,
 libaws2.10.2-dev, libapq-postgresql3.2.0-dev, asciidoc, source-highlight, quilt
Standards-Version: 3.9.3
Homepage: http://www.codelabs.ch/alog/
Vcs-Git: http://git.codelabs.ch/git/alog.git
Vcs-Browser: http://git.codelabs.ch/?p=alog.git

Package: libalog0.4.1-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnat-4.6
Conflicts: libalog0.4.1-full
Replaces: libalog0.4.1-full
Description: Logging framework for Ada (base)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog base provides file-based and syslog logging facilities
 and log-level support.

Package: libalog0.4.1-full
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnat-4.6
Conflicts: libalog0.4.1-base
Replaces: libalog0.4.1-base
Description: Logging framework for Ada (full)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog full offers more facilities than Alog base, notably
 SMTP, PostgreSQL and XMPP/Jabber.

Package: libalog0.4.1-base-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libalog0.4.1-base (= ${binary:Version}), gnat, gnat-4.6
Conflicts: libalog0.4.1-full-dev
Replaces: libalog0.4.1-full-dev
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog base provides file-based and syslog logging facilities
 and log-level support.
 .
 This package contains the development files.

Package: libalog0.4.1-full-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libalog0.4.1-full (= ${binary:Version}), gnat,
 gnat-4.6, libaws2.10.2-dev, libapq-postgresql3.2.0-dev
Conflicts: libalog0.4.1-base-dev
Replaces: libalog0.4.1-base-dev
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog full offers more facilities than Alog base, notably
 SMTP, PostgreSQL and XMPP/Jabber.
 .
 This package contains the development files.

Package: libalog0.4.1-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libalog0.4.1-base (= ${binary:Version}),
 libalog0.4.1-base-dev (= ${binary:Version})
Conflicts: libalog0.4.1-full-dbg
Replaces: libalog0.4.1-full-dbg
Description: Logging framework for Ada (debug)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog base provides file-based and syslog logging facilities
 and log-level support.
 .
 This package contains the debugging symbols.

Package: libalog0.4.1-full-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libalog0.4.1-full (= ${binary:Version}),
 libalog0.4.1-full-dev (= ${binary:Version})
Conflicts: libalog0.4.1-base-dbg
Replaces: libalog0.4.1-base-dbg
Description: Logging framework for Ada (debug)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog full offers more facilities than Alog base, notably
 SMTP, PostgreSQL and XMPP/Jabber.
 .
 This package contains the debugging symbols.
