=== debian/rules ===
#!/usr/bin/make -f

PV = 0.4.1
ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh ${@} --with quilt

override_dh_auto_clean:
	$(MAKE) distclean
	rm -rf debian/tmp-*

override_dh_quilt_patch:
	guards --config debian/patches/guards > debian/patches/series $(ARCH)
	dh_quilt_patch

override_dh_auto_build: build-base build-full
	$(MAKE) doc

build-base:
	$(MAKE)
	$(MAKE) LIBRARY_KIND=static
	$(MAKE) tests

build-full:
	$(MAKE) TARGET=full
	$(MAKE) TARGET=full LIBRARY_KIND=static
	$(MAKE) TARGET=full tests


override_dh_auto_install: install-base install-full

install-base:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp-base/usr install
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp-base/usr LIBRARY_KIND=static install

	mv debian/tmp-base/usr/lib/alog/libalog.* debian/tmp-base/usr/lib

	mkdir -p debian/tmp-base/usr/share/ada/adainclude
	mv debian/tmp-base/usr/include/alog debian/tmp-base/usr/share/ada/adainclude

	mkdir -p debian/tmp-base/usr/lib/ada/adalib/alog
	mv debian/tmp-base/usr/lib/alog/*.ali debian/tmp-base/usr/lib/ada/adalib/alog

	cp debian/misc/alog.gpr debian/tmp-base/usr/share/ada/adainclude
	rm -rf debian/tmp-base/usr/lib/alog
	rm -rf debian/tmp-base/usr/lib/gnat


install-full:
	$(MAKE) TARGET=full PREFIX=$(CURDIR)/debian/tmp-full/usr install
	$(MAKE) TARGET=full PREFIX=$(CURDIR)/debian/tmp-full/usr LIBRARY_KIND=static install

	mv debian/tmp-full/usr/lib/alog/libalog.* debian/tmp-full/usr/lib

	mkdir -p debian/tmp-full/usr/share/ada/adainclude
	mv debian/tmp-full/usr/include/alog debian/tmp-full/usr/share/ada/adainclude

	mkdir -p debian/tmp-full/usr/lib/ada/adalib/alog
	mv debian/tmp-full/usr/lib/alog/*.ali debian/tmp-full/usr/lib/ada/adalib/alog

	cp debian/misc/alog_full.gpr debian/tmp-full/usr/share/ada/adainclude/alog.gpr
	rm -rf debian/tmp-full/usr/lib/alog
	rm -rf debian/tmp-full/usr/lib/gnat

override_dh_install:
	dh_install -p libalog$(PV)-base -p libalog$(PV)-base-dev --fail-missing --sourcedir=debian/tmp-base
	dh_install -p libalog$(PV)-full -p libalog$(PV)-full-dev --fail-missing --sourcedir=debian/tmp-full

override_dh_strip:
	dh_strip -Xlibalog$(PV)-full --dbg-package=libalog$(PV)-base-dbg
	dh_strip -Xlibalog$(PV)-base --dbg-package=libalog$(PV)-full-dbg
