=== debian/changelog ===
libalog (0.5.0-1) unstable; urgency=medium

  * Imported upstream version 0.5.0
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Drop 'full' packages as upstream has removed that functionality
  * Update patches
  * Update binary package names
  * Update package descriptions in debian/control
  * Update to Standards-Version 3.9.6
  * Update Build-Depends in debian/control
  * Enable dpkg-buildflags hardening options
  * Make -dbg package compliant to Debian Ada Policy
  * Transition to gnat-4.9 compiler (Closes: #746082, #755077, #764444)
  * Update ahven Build-Depends to libahven4-dev
  * Update copyright information
  * Update to debhelper 9
  * Simplify debian/rules file
  * Declare NUM_CPUS variable in debian/rules
  * Override dh_compress and dh_auto_test targets
  * Update debian/*.install files
  * Add debian/watch file
  * Add libalog-doc package
  * Add minimal run time test for installed package
  * Decouple the aliversion from the soversion

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 16 Oct 2014 14:41:55 +0200
