=== debian/control ===
Source: libalog
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>
Build-Depends: debhelper (>= 9), gnat, gnat-4.9, gprbuild, libahven4-dev,
 asciidoc, source-highlight, quilt
Standards-Version: 3.9.6
Homepage: http://www.codelabs.ch/alog/
Vcs-Git: http://git.codelabs.ch/git/alog.git
Vcs-Browser: http://git.codelabs.ch/?p=alog.git
XS-Testsuite: autopkgtest

Package: libalog0.5.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging framework for Ada
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.

Package: libalog1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libalog0.5.0 (= ${binary:Version}), gnat, gnat-4.9
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the development files.

Package: libalog-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libalog0.5.0 (= ${binary:Version})
Recommends: libalog1-dev (= ${binary:Version})
Suggests: gnat
Description: Logging framework for Ada (debug)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the debugging symbols.

Package: libalog-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Logging framework for Ada (documentation)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the documentation.
