=== debian/rules ===
#!/usr/bin/make -f

ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ADAFLAGS := $(filter-out -Wformat -Werror=format-security, $(CFLAGS))
export ADAFLAGS

NUM_CPUS  = $(shell getconf _NPROCESSORS_ONLN)
MAKE_OPTS = NUM_CPUS=$(NUM_CPUS)

%:
	dh ${@} --with quilt

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/tmp-*

override_dh_quilt_patch:
	guards --config debian/patches/guards > debian/patches/series $(ARCH)
	dh_quilt_patch

override_dh_auto_build:
	$(MAKE)
	$(MAKE) LIBRARY_KIND=static
	$(MAKE) doc

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr install
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr LIBRARY_KIND=static install
	rm -rf debian/tmp/usr/lib/gnat
	mkdir -p debian/tmp/usr/share/ada/adainclude
	cp debian/misc/alog.gpr debian/tmp/usr/share/ada/adainclude

override_dh_auto_test:
	$(MAKE) $(MAKE_OPTS) tests

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=libalog-dbg
