=== debian/watch ===
version=3
http://www.codelabs.ch/download/libalog-(.*)\.tar\.bz2
