=== debian/changelog ===
libalog (0.5.2-3) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * Debhelper 10.
  * Tests: remove unused variable, log executed commands.
  * Allow -doc package to satisfy Multi-Arch: same dependencies.
  * HTTPS copyright format URL.
  * Handle DEB_BUILD_OPTIONS=nodoc.
  * Select debian_packaging.mk snippet, there may be many.
  * Replace --fail-missing deprecated debhelper option.
  * Split -arch and -indep targets and Build-Depends.
  * Replace many wildcards with explicit variable expansions.
  * Install GNAT project to /usr/share/gpr.
  * Make the runtime library package Multi-Arch: same.
  * Allow DEB_BUILD_OPTIONS=nocheck.
  * Build with gnat-7 and libahven6-dev (Closes: #872290).

  [ Adrian-Ken Rueegsegger ]
  * Update to Standards-Version 4.1.0
  * Unset LDFLAGS when building static library

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 10 Sep 2017 22:58:51 +0100

libalog (0.5.2-2) unstable; urgency=medium

  [ Adrian Bunk <bunk@stusta.de> ]
  * Enable PIE build option (Closes: #844886)

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 29 Dec 2016 21:10:12 +0100

libalog (0.5.2-1) unstable; urgency=medium

  * Imported upstream version 0.5.2 (Closes: #782182)
  * Transition to gnat-6 compiler (Closes: #777934, #833764)
  * Update ahven Build-Depends to libahven5-dev
  * Adjust gprbuild Build-Depends
  * Switch Homepage and Vcs-* URLs to HTTPS
  * Update to Standards-Version 3.9.8
  * Update binary package names
  * Use short-names for lib install & lintian-overrides
  * Drop explicit libalog-dbg package
  * Simplify build by using debian_packaging-*.mk
  * Drop explicit XS-Testsuite
  * Use gprbuild in autopkgtest
  * Add upstream signing key
  * Update watch file to version 4
  * Avoid quilt for arch-dependent patching

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 17 Aug 2016 16:38:01 +0000
