=== debian/control ===
Source: libalog
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>
Build-Depends: debhelper (>= 10), gprbuild (>= 2015-2),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 libahven6-dev
Build-Depends-Indep: asciidoc, source-highlight
Standards-Version: 4.1.0
Homepage: https://www.codelabs.ch/alog/
Vcs-Git: https://git.codelabs.ch/git/alog.git
Vcs-Browser: https://git.codelabs.ch/?p=alog.git

Package: libalog0.5.2.1
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging framework for Ada
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.

Package: libalog3-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libalog0.5.2.1 (= ${binary:Version}), gnat, gnat-7
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the development files.

Package: libalog-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Logging framework for Ada (documentation)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the documentation.
