=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://www.codelabs.ch/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ \
  debian uupdate
