## libalog 0.5.3

=== Makefile ===
--- 
+++ 
@@ -20,12 +20,14 @@
 #  MA  02110-1301  USA
 #
 
+# DESTDIR and PREFIX have their usual meanings.
 PREFIX ?= $(HOME)/libraries
+
 INSTALL = install
 
 MAJOR = 0
 MINOR = 5
-REVISION = 2
+REVISION = 3
 VERSION = $(MAJOR).$(MINOR).$(REVISION)
 ALOG = libalog-$(VERSION)
 TARBALL = $(ALOG).tar.bz2
@@ -49,22 +51,24 @@
 # environment or on the command line.
 CFLAGS             ?= -W -Wall -Werror -O3
 GNAT_BUILDER_FLAGS ?= -R -j$(NUM_CPUS)
-GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS} -cargs ${ADAFLAGS}
+GNATFLAGS          ?= ${GNAT_BUILDER_FLAGS}
 # GMAKE_OPTS should not be overridden because -p is essential.
-GMAKE_OPTS = -p ${GNATFLAGS} -margs
+GMAKE_OPTS = -g -p ${GNATFLAGS} \
+  $(foreach v,ADAFLAGS CFLAGS CPPFLAGS LDFLAGS,"-X$(v)=$($(v))")
 
 all: build_lib
 
 tests: build_tests
 	@$(OBJECTDIR)/test_runner
 
-build_lib:
-	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION="$(VERSION)" \
-		-XLIBRARY_KIND="$(LIBRARY_KIND)" -XCFLAGS="$(CFLAGS)" \
-		-XLDFLAGS="$(LDFLAGS)" -cargs $(ADAFLAGS)
+build_lib: build_lib_$(LIBRARY_KIND)
+build_lib_dynamic:
+	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION="$(VERSION)"
+build_lib_static:
+	@gprbuild $(GMAKE_OPTS) -Palog -XALOG_VERSION=
 
 build_tests:
-	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="tests"
+	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="tests" -XALOG_VERSION=
 
 build_all: build_lib build_tests
 
@@ -82,29 +86,32 @@
 install: install_lib install_$(LIBRARY_KIND)
 
 install_lib: build_lib
-	@mkdir -p $(PREFIX)/include/alog
-	@mkdir -p $(PREFIX)/lib/alog
-	@mkdir -p $(PREFIX)/lib/gnat
-	$(INSTALL) -m 644 $(SOURCEDIR)/*.ad[bs] $(PREFIX)/include/alog
-	$(INSTALL) -m 444 $(ALI_FILES) $(PREFIX)/lib/alog
-	$(INSTALL) -m 644 $(GPR_FILE) $(PREFIX)/lib/gnat
+	@mkdir -p $(DESTDIR)$(PREFIX)/include/alog
+	@mkdir -p $(DESTDIR)$(PREFIX)/lib/alog
+	@mkdir -p $(DESTDIR)$(PREFIX)/lib/gnat
+	$(INSTALL) -m 644 $(SOURCEDIR)/*.ad[bs] $(DESTDIR)$(PREFIX)/include/alog
+	$(INSTALL) -m 444 $(ALI_FILES) $(DESTDIR)$(PREFIX)/lib/alog
+	$(INSTALL) -m 644 $(GPR_FILE) $(DESTDIR)$(PREFIX)/lib/gnat
 
-install_static:
-	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(A_LIBRARY) $(PREFIX)/lib
+install_static: $(DESTDIR)$(PREFIX)/lib
+	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(A_LIBRARY) $<
 
-install_dynamic:
-	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $(PREFIX)/lib
-	@cd $(PREFIX)/lib && ln -sf $(SO_LIBRARY) libalog.so
+install_dynamic: $(DESTDIR)$(PREFIX)/lib
+	$(INSTALL) -m 444 $(LIBDIR)/$(LIBRARY_KIND)/$(SO_LIBRARY) $<
+	@cd $(DESTDIR)$(PREFIX)/lib && ln -sf $(SO_LIBRARY) libalog.so
 
 install_tests: build_tests
-	$(INSTALL) -v -d $(PREFIX)/tests
-	$(INSTALL) -m 755 $(OBJECTDIR)/test_runner $(PREFIX)/tests/
-	@cp -vr data $(PREFIX)/tests
+	$(INSTALL) -v -d $(DESTDIR)$(PREFIX)/tests
+	$(INSTALL) -m 755 $(OBJECTDIR)/test_runner $(DESTDIR)$(PREFIX)/tests/
+	@cp -vr data $(DESTDIR)$(PREFIX)/tests
+
+$(DESTDIR)$(PREFIX)/lib:
+	@mkdir -p $@
 
 cov:
 	@mkdir -p $(COVDIR)
 	@rm -f $(OBJECTDIR)/cov/*.gcda
-	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="coverage"
+	@gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="coverage" -XALOG_VERSION=
 	@$(OBJECTDIR)/cov/test_runner || true
 	@lcov -c -d $(OBJECTDIR)/cov/ -o $(OBJECTDIR)/cov/alog_tmp.info
 	@lcov -e $(OBJECTDIR)/cov/alog_tmp.info "$(PWD)/src/*.adb" \
@@ -113,7 +120,7 @@
 
 prof:
 	@rm -f $(OBJECTDIR)/callgrind.*
-	gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="profiling"
+	gprbuild $(GMAKE_OPTS) -Palog_tests -XALOG_BUILD="profiling" -XALOG_VERSION=
 	valgrind -q --tool=callgrind \
 		--callgrind-out-file=$(OBJECTDIR)/callgrind.out.%p $(OBJECTDIR)/profiler
 	callgrind_annotate $(OBJECTDIR)/callgrind.* > $(OBJECTDIR)/profile.txt
