=== debian/changelog ===
libalog (0.5.3-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:50 +0200

libalog (0.5.3-1) experimental; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Update to release 0.5.3
  * Match package versions with upstream 0.5.3 release
  * Add Nicolas Boulenguez to Uploaders

  [ Nicolas Boulenguez ]
  * Move dh_missing to its own override
  * dh_missing now allows one to ignore files
  * Simplify the packaging thanks to new upstream version.
  * VCS-Git: specific branch
  * Debhelper 11, no changes.
  * Mark gprbuild and ahven as arch-dependent dependencies
  * Standards-Version: 4.2.0. Rules-Requires-Root: no.
  * Rebuild with gnat-8 (Closes: #903970)
  * Avoid tests during architecture-independent builds
  * Use dh_ada_library

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 14 Aug 2018 10:49:39 +0200
