=== debian/control ===
--- 
+++ 
@@ -2,18 +2,24 @@
 Section: libs
 Priority: optional
 Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
-Uploaders: Reto Buerki <reet@codelabs.ch>
-Build-Depends: debhelper (>= 10), gprbuild (>= 2015-2),
- gnat, gnat-7,
+Uploaders: Reto Buerki <reet@codelabs.ch>,
+ Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends:
+ debhelper (>= 11),
+ dh-ada-library,
+ gnat, gnat-8,
 # This line is parsed by debian/rules.
- libahven6-dev
+Build-Depends-Arch:
+ gprbuild (>= 2015-2),
+ libahven7-dev
 Build-Depends-Indep: asciidoc, source-highlight
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
+Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/alog/
-Vcs-Git: https://git.codelabs.ch/git/alog.git
+Vcs-Git: https://git.codelabs.ch/git/alog.git -b debian
 Vcs-Browser: https://git.codelabs.ch/?p=alog.git
 
-Package: libalog0.5.2.1
+Package: libalog0.5.3.1
 # This line is parsed by debian/rules.
 Architecture: any
 Multi-Arch: same
@@ -23,11 +29,10 @@
  easily extendable. Alog provides file-based and syslog logging facilities and
  log-level support.
 
-Package: libalog3-dev
-# This line is parsed by debian/rules.
+Package: libalog4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libalog0.5.2.1 (= ${binary:Version}), gnat, gnat-7
+Depends: ${misc:Depends}, ${ada:Depends}
 Description: Logging framework for Ada (development)
  Alog is a logging framework for Ada and aims to be straight forward to use and
  easily extendable. Alog provides file-based and syslog logging facilities and
