=== debian/rules ===
#!/usr/bin/make -f

# Extract useful information from debian/control.
# Replace eval with warning to debug.
$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/gnat_version:=\1/p;\
  s/^Package: libalog\([0-9.]\+\)$$/soversion:=\1/p;\
  ' debian/control),$(eval $(line)))
lib_pkg := libalog$(soversion)

DPKG_EXPORT_BUILDFLAGS  = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(gnat_version).mk

export GNAT_BUILDER_FLAGS = $(BUILDER_OPTIONS)

%:
	dh ${@} --with ada-library

override_dh_auto_build-arch:
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	patch -p1 < debian/Don-t-store-tracebacks-in-exception-occurrences.patch
endif
	$(MAKE) VERSION=$(soversion)
	$(MAKE) LIBRARY_KIND=static

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) doc
endif

override_dh_auto_install:

override_dh_auto_test-indep:
override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) $(MAKE_OPTS) tests
endif

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile
